Partners
Get partner transactions
Retrieve a list of transactions for the partner
GET
/{locale}/partners/transactionsRetrieve a list of transactions for the partner
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Query Parameters
page?integer
Page number
Default
1per_page?integer
Items per page
Default
15search?string
Search term
shop_id?integer
Shop ID
staff_id?integer
Staff ID
status?string
Transaction status
start_date?string
Start date
Format
dateend_date?string
End date
Format
dateResponse Body
application/json
curl -X GET "https://example.com/en/partners/transactions"{ "success": true, "data": [ { "id": 1, "date": "2023-05-15T14:30:00Z", "customer_name": "John Doe", "customer_id": 123, "amount": 125.5, "points_awarded": 125, "points_redeemed": 125, "status": "completed", "shop_name": "Shop 1", "shop_id": 1, "staff_name": "Staff 1", "staff_id": 1, "type": "sale" } ], "meta": { "current_page": 1, "last_page": 5, "per_page": 15, "total": 75 }, "code": 200}